class SpyCall(object):
    def __init__(self):
        self.called = False
        self.args = None
        self.kwargs = None

        self.all_args = []
        self.all_kwargs = []

    def register_call(self, *args, **kwargs):
        self.called = True
        self.args = args
        self.kwargs = kwargs

        self.all_args.append(args)
        self.all_kwargs.append(kwargs)
